Package io.dapr.v1

# Class DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>
io.dapr.v1.DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprAppCallbackProtos.ListTopicSubscriptionsResponse

    public static final class DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>
    implements DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder

     ListTopicSubscriptionsResponse is the message including the list of the subscribing topics.

Protobuf type `dapr.proto.runtime.v1.ListTopicSubscriptionsResponse`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addAllSubscriptions​(java.lang.Iterable<? extends DaprAppCallbackProtos.TopicSubscription> values)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription value)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addSubscriptions​(DaprAppCallbackProtos.TopicSubscription value)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `addSubscriptions​(DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)` | The list of topics.
  `DaprAppCallbackProtos.TopicSubscription.Builder` | `addSubscriptionsBuilder()` | The list of topics.
  `DaprAppCallbackProtos.TopicSubscription.Builder` | `addSubscriptionsBuilder​(int index)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse` | `build()` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse` | `buildPartial()` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `clear()` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `clearSubscriptions()` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `clone()` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `DaprAppCallbackProtos.TopicSubscription` | `getSubscriptions​(int index)` | The list of topics.
  `DaprAppCallbackProtos.TopicSubscription.Builder` | `getSubscriptionsBuilder​(int index)` | The list of topics.
  `java.util.List<DaprAppCallbackProtos.TopicSubscription.Builder>` | `getSubscriptionsBuilderList()` | The list of topics.
  `int` | `getSubscriptionsCount()` | The list of topics.
  `java.util.List<DaprAppCallbackProtos.TopicSubscription>` | `getSubscriptionsList()` | The list of topics.
  `DaprAppCallbackProtos.TopicSubscriptionOrBuilder` | `getSubscriptionsOrBuilder​(int index)` | The list of topics.
  `java.util.List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder>` | `getSubscriptionsOrBuilderList()` | The list of topics.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `mergeFrom​(DaprAppCallbackProtos.ListTopicSubscriptionsResponse other)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `removeSubscriptions​(int index)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `setSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription value)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `setSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)` | The list of topics.
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### clear

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### setField

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder mergeFrom​(DaprAppCallbackProtos.ListTopicSubscriptionsResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`
    Throws:
      `java.io.IOException`

  - ### getSubscriptionsList

    public java.util.List<DaprAppCallbackProtos.TopicSubscription> getSubscriptionsList()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`
    Specified by:
      `getSubscriptionsList` in interface `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`

  - ### getSubscriptionsCount

    public int getSubscriptionsCount()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`
    Specified by:
      `getSubscriptionsCount` in interface `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`

  - ### getSubscriptions

    public DaprAppCallbackProtos.TopicSubscription getSubscriptions​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`
    Specified by:
      `getSubscriptions` in interface `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`

  - ### setSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder setSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription value)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### setSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder setSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addSubscriptions​(DaprAppCallbackProtos.TopicSubscription value)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription value)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addSubscriptions​(DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addSubscriptions​(int index, DaprAppCallbackProtos.TopicSubscription.Builder builderForValue)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addAllSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder addAllSubscriptions​(java.lang.Iterable<? extends DaprAppCallbackProtos.TopicSubscription> values)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### clearSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder clearSubscriptions()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### removeSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder removeSubscriptions​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsBuilder

    public DaprAppCallbackProtos.TopicSubscription.Builder getSubscriptionsBuilder​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsOrBuilder

    public DaprAppCallbackProtos.TopicSubscriptionOrBuilder getSubscriptionsOrBuilder​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`
    Specified by:
      `getSubscriptionsOrBuilder` in interface `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`

  - ### getSubscriptionsOrBuilderList

    public java.util.List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder> getSubscriptionsOrBuilderList()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`
    Specified by:
      `getSubscriptionsOrBuilderList` in interface `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`

  - ### addSubscriptionsBuilder

    public DaprAppCallbackProtos.TopicSubscription.Builder addSubscriptionsBuilder()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### addSubscriptionsBuilder

    public DaprAppCallbackProtos.TopicSubscription.Builder addSubscriptionsBuilder​(int index)

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### getSubscriptionsBuilderList

    public java.util.List<DaprAppCallbackProtos.TopicSubscription.Builder> getSubscriptionsBuilderList()

         The list of topics.

    `repeated .dapr.proto.runtime.v1.TopicSubscription subscriptions = 1;`

  - ### setUnknownFields

    public final DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder>`